New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

declare construct is not supported in language files #248

Open
iotch opened this Issue Sep 21, 2018 · 3 comments

Comments

Projects
None yet
2 participants
@iotch

iotch commented Sep 21, 2018

The declare(strict_types=1) in plugin language file makes language file invalid and rises ApplicationException at https://github.com/rainlab/builder-plugin/blob/master/classes/LocalizationModel.php#L52

The validation fails here: https://github.com/rainlab/builder-plugin/blob/master/classes/LocalizationModel.php#L387

I believe that should be fixed since declare(strict_types=1) is may be added automatically by IDEs/fixers/ etc.

@LukeTowers

This comment has been minimized.

Show comment
Hide comment
@LukeTowers

LukeTowers Sep 21, 2018

Member

Make a PR to fix it if you'd like @iotch

Member

LukeTowers commented Sep 21, 2018

Make a PR to fix it if you'd like @iotch

@iotch

This comment has been minimized.

Show comment
Hide comment
@iotch

iotch Sep 22, 2018

Sorry, but I'm too new to OctoberCMS to know about all future issues my edits may cause.

iotch commented Sep 22, 2018

Sorry, but I'm too new to OctoberCMS to know about all future issues my edits may cause.

@LukeTowers

This comment has been minimized.

Show comment
Hide comment
@LukeTowers

LukeTowers Sep 23, 2018

Member

@iotch that's what I'm for ;) If you make a PR I'll review it before it gets merged to prevent any future issues :)

Member

LukeTowers commented Sep 23, 2018

@iotch that's what I'm for ;) If you make a PR I'll review it before it gets merged to prevent any future issues :)

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment